optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Static Protected Attributes | List of all members
optoKummenberg.registers.MiscSystems.DeviceEEPROM Class Reference
Inheritance diagram for optoKummenberg.registers.MiscSystems.DeviceEEPROM:

## Public Member Functions
| __init__ (self, board=None)
| GetEEPROM (self, index, count)
| SetEEPROM (self, index, vector)
| EEPROMLockEnable (self, enable=True)
| VerifyEEPROM (self, index, vector)
| ReparseEEPROM (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| lock
| reparse
| register
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Protected Member Functions
| _SetEEPROMSegment (self, index, vector)
| _GetEEPROMSegment (self, index, count)
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)

## Static Protected Attributes
bool | _is_a_system = False
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Additional Inherited Members
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board

## Detailed Description

    Device Functionality - DeviceEEPROM Read/Write
    System ID: 0x21

    +--------------------+------+-----------------------------------------------------------------------------------------+
    | Register Name      | Id   | Comment                                                                                 |
    +====================+======+=========================================================================================+
    | lock               | 0x00 | write the key to unlock, anything else to lock.Key value: 0x3edeb7aa (float 0.434995)   |
    +--------------------+------+-----------------------------------------------------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.__init__ | ( |  | self,
|  |  | board = None )

Reimplemented from optoKummenberg.registers.ClassAbstracts.System.

## Member Function Documentation

## ◆ _GetEEPROMSegment()

optoKummenberg.registers.MiscSystems.DeviceEEPROM._GetEEPROMSegment | ( |  | self,
|  |  | index,
|  |  | count )
| protected

## ◆ _SetEEPROMSegment()

optoKummenberg.registers.MiscSystems.DeviceEEPROM._SetEEPROMSegment | ( |  | self,
|  |  | index,
|  |  | vector )
| protected

## ◆ EEPROMLockEnable()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.EEPROMLockEnable | ( |  | self,
|  |  | enable = True )

## ◆ GetEEPROM()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.GetEEPROM | ( |  | self,
|  |  | index,
|  |  | count )

## ◆ help()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.help | ( |  | ) |
| static

## ◆ ReparseEEPROM()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.ReparseEEPROM | ( |  | self | ) |

## ◆ SetEEPROM()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.SetEEPROM | ( |  | self,
|  |  | index,
|  |  | vector )

## ◆ VerifyEEPROM()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.VerifyEEPROM | ( |  | self,
|  |  | index,
|  |  | vector )

## Member Data Documentation

## ◆ _is_a_system

bool optoKummenberg.registers.MiscSystems.DeviceEEPROM._is_a_system = False
| static protected

## ◆ lock

optoKummenberg.registers.MiscSystems.DeviceEEPROM.lock

## ◆ name

optoKummenberg.registers.MiscSystems.DeviceEEPROM.name

## ◆ register

optoKummenberg.registers.MiscSystems.DeviceEEPROM.register

## ◆ reparse

optoKummenberg.registers.MiscSystems.DeviceEEPROM.reparse

## ◆ sys_id

optoKummenberg.registers.MiscSystems.DeviceEEPROM.sys_id

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/MiscSystems.py